# Update a Shared Custom Field

PUT https://api.close.com/api/v1/custom_field/shared/{id}/
Content-Type: application/json

You can rename it or update the options for a "choices" field type. The updated name will immediately appear in the Close UI and only valid values for the updated `choices` will be returned by the Lead/Contact/Custom Activity APIs.

The `type` value cannot be changed.

Reference: https://developer.close.com/api/resources/custom-fields/custom-fields-shared/update

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Close API
  version: 1.0.0
paths:
  /custom_field/shared/{id}/:
    put:
      operationId: update
      summary: Update a Shared Custom Field
      description: >-
        You can rename it or update the options for a "choices" field type. The
        updated name will immediately appear in the Close UI and only valid
        values for the updated `choices` will be returned by the
        Lead/Contact/Custom Activity APIs.


        The `type` value cannot be changed.
      tags:
        - subpackage_customFieldsShared
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: Basic authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/custom_fields.shared_update_Response_200'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                description: Any type
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                description: Any type
        '404':
          description: Not found
          content:
            application/json:
              schema:
                description: Any type
      requestBody:
        content:
          application/json:
            schema:
              description: Any type
servers:
  - url: https://api.close.com/api/v1
components:
  schemas:
    custom_fields.shared_update_Response_200:
      type: object
      properties: {}
      description: Empty response body
      title: custom_fields.shared_update_Response_200
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: basic
    OAuth2:
      type: http
      scheme: bearer

```